Subject: Re: [GIT PULL] virtio: last minute fixup

From: Jörg Rödel <[email-masked]>
Date: Wed, 11 May 2022 14:24:23 +0200

On Tue, May 10, 2022 at 11:23:11AM -0700, Linus Torvalds wrote:
> And - once again - I want to complain about the "Link:" in that commit.

I have to say that for me (probably for others as well) those Link tags
pointing to the patch submission have quite some value:

	1) First of all it is an easy proof that the patch was actually
	   submitted somewhere for public review before it went into a
	   maintainers tree.

	2) The patch submission is often the entry point to the
	   discussion which lead to this patch. From that email I can
	   see what was discussed and often there is even a link to
	   previous versions and the discussions that happened there. It
	   helps to better understand how a patch came to be the way it
	   is. I know this should ideally be part of the commit message,
	   but in reality this is what I also use the link tag for.

	3) When backporting a patch to a downstream kernel it often
	   helps a lot to see the whole patch-set the change was
	   submitted in, especially when it comes to fixes. With the
	   Link: tag the whole submission thread is easy to find.

I can stop adding them to patches if you want, but as I said, I think
there is some value in them which make me want to keep them.

Regards,

	Joerg